## libtaxii 1.1.119

=== requirements.txt ===
Sphinx==1.6.1
sphinx_rtd_theme==0.2.4
pytest==3.0.7
tox==2.7.0
bumpversion==0.5.3

-e  .

=== debian/changelog ===
libtaxii (1.1.119-0kali3) kali-dev; urgency=medium

  * Add a patch for Python 3.13
  * Add build-dep python3-six
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Feb 2025 15:26:23 +0100

libtaxii (1.1.119-0kali2) kali-dev; urgency=medium

  * Add a patch to fix issue with Python 3.12

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Mar 2024 17:16:11 +0100

libtaxii (1.1.119-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 10:50:21 +0200

=== debian/control ===
Source: libtaxii
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-dateutil,
 python3-lxml,
 python3-six,
 python3-sphinx,
 python3-sphinx-rtd-theme
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/TAXIIProject/libtaxii
Vcs-Browser: https://gitlab.com/kalilinux/packages/libtaxii
Vcs-Git: https://gitlab.com/kalilinux/packages/libtaxii.git

Package: python3-libtaxii
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-libtaxii-doc,
Description: library for handling Trusted Automated eXchange of Indicator Information (Python 3)
 The package contains a Python library for handling Trusted Automated eXchange
 of Indicator Information (TAXII™) v1.x Messages and invoking TAXII Services.
 .
 This package installs the library for Python 3.

Package: python-libtaxii-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: library for handling Trusted Automated eXchange of Indicator Information (common documentation)
 The package contains a Python library for handling Trusted Automated eXchange
 of Indicator Information (TAXII™) v1.x Messages and invoking TAXII Services.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=libtaxii

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc


execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/TAXIIProject/libtaxii/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
